#!/usr/bin/env sh

ansible-playbook -i "${INVENTORY_DIRECTORY}/inventory.ini" kubespray.yml

python3 -m venv --upgrade --system-site-packages .venv-kubespray
.venv-kubespray/bin/pip3 install --upgrade pip
.venv-kubespray/bin/pip3 install wheel
.venv-kubespray/bin/pip3 install -r kubespray/requirements.txt

ANSIBLE_CONFIG=kubespray/ansible.cfg \
.venv-kubespray/bin/ansible-playbook \
${PARAMETERS} -u ${USERNAME:-maintenance} \
-i "${INVENTORY_DIRECTORY}/inventory.ini" \
--become --become-user=root -T 90 \
"${PLAYBOOK:-deploy.yml}"
